Subject: bug#18163: 24.4.50; REGRESSION, font-lock in `emacs-lisp-mode': spurious `font-lock-warning-face'

From: Drew Adams <[email-masked]>
Date: Wed, 6 Aug 2014 11:04:39 -0700 (PDT)

> It's no error.  There's even a help-text explaining why it's highlighted
> this way (if you hover your mouse above the highlighted text).

I see.  Yes, I can see that that can be helpful.

It's unfortunate that the same face is used for this kind of warning
and for things like `error' and `user-error', which are not something
to be warned about.  It is handy to highlight those too (specially),
but they should not use a "warning" face, if that face is really
starting to be used to warn.

IOW using `font-lock-warning-face' to warn uncovers an (effectively
new) bug: its use for non-warnings is inappropriate.  It could
arguably have been considered appropriate (though poorly named) as
long as none of the uses involved warning.  There is no longer any
such justification.